<app-base-layout [enableMobileHeader]="true" title="Offline Process" [enableDeskTopHeader]="true"
[enableDeskTopHeaderAction]="true">
    <div class="container">
      <form>
        <div class="form-group d-none">
          <label class="heading" for="banksList">Select bank you want to transfer from</label>
          <select class="form-control input"  id="banksList" (change)="bankListChange($event.target)">
            <option *ngFor="let banks of bankList" [value]="banks.id" >{{banks.bank}}</option>
          </select>
        </div>
        <div class="form-group">
          <label class="heading" for="amount">Amount</label>
          <div class="row">
            <div class="col-12 col-md-4">
              <div class="input-group">
                <input type="number" (keypress)="isNumber($event)" class="form-control" name="amount"  [(ngModel)]="amount" />
                 <div class="input-group-append">
                   <span class="input-group-text">$</span>
                 </div>
               </div>
            </div>
          </div>

        </div>
      <div class="sub-heading">You must fund your account from a bank account you own. You may not transfer funds from third party</div>
      </form>
    
      <section *ngIf="pdfPath != ''">
        <div class="guidelines">
          <div class="heading">
            Download this beneficiary details which will be require for transferring funds through bank. 
          </div>
          <div class="mobile-btn-common card"><button (click)="getBankSteps()" class="btn" [disabled]="!selectBank || !amount"><img class="mr-2" src="assets/icons/btn-download.svg">Download beneficiary details</button></div>
        </div>
    
      </section>
    </div>
      </app-base-layout>